# List all newsfeeds

You can fetch a list of all newsfeeds

Endpoint: GET /news/newsfeeds
Version: 2.11
Security: bearerAuth

## Header parameters:

  - `Intercom-Version` (string)

## Response 200 fields (application/json):

  - `type` (string, required)
    The type of object
    Enum: "list"

  - `pages` (object)
    Cursor-based pagination is a technique used in the Intercom API to navigate through large amounts of data.
A "cursor" or pointer is used to keep track of the current position in the result set, allowing the API to return the data in small chunks or "pages" as needed.

  - `pages.type` (string, required)
    the type of object `pages`.
    Enum: "pages"

  - `pages.page` (integer)
    The current page
    Example: 1

  - `pages.next` (object)

  - `pages.next.per_page` (integer, required)
    The number of results to fetch per page.
    Example: 2

  - `pages.next.starting_after` (string)
    The cursor to use in the next request to get the next page of results.
    Example: your-cursor-from-response

  - `pages.per_page` (integer)
    Number of results per page
    Example: 2

  - `pages.total_pages` (integer)
    Total number of pages
    Example: 13

  - `total_count` (integer, required)
    A count of the total number of Newsfeeds.
    Example: 1

  - `data` (array, required)
    An array of Newsfeeds

  - `data.id` (string, required)
    The unique identifier for the newsfeed which is given by Intercom.
    Example: 12312

  - `data.type` (string, required)
    The type of object.
    Enum: "newsfeed"

  - `data.name` (string, required)
    The name of the newsfeed. This name will never be visible to your users.
    Example: My Newsfeed

  - `data.created_at` (integer, required)
    Timestamp for when the newsfeed was created.
    Example: 1674917488

  - `data.updated_at` (integer)
    Timestamp for when the newsfeed was last updated.
    Example: 1674917488

## Response 401 fields (application/json):

  - `type` (string, required)
    The type is error.list
    Example: error.list

  - `request_id` (string)
    Example: f93ecfa8-d08a-4325-8694-89aeb89c8f85

  - `errors` (array, required)
    An array of one or more error objects

  - `errors.code` (string, required)
    A string indicating the kind of error, used to further qualify the HTTP response code
    Example: unauthorized

  - `errors.message` (string)
    Optional. Human readable description of the error.
    Example: Access Token Invalid

  - `errors.field` (string)
    Optional. Used to identify a particular field or query parameter that was in error.
    Example: email

